######################## VSCODE IGNORES
.vscode/


######################## C++ IGNORES
# Prerequisites
*.d

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.exe
*.out
*.app

# line counter
.VSCodeCounter

# other
*.log
*.zip
*.png
*.jpg
test_data/test_save.xml

######################## CMAKE IGNORES
CMakeLists.txt.user
CMakeCache.txt
CMakeFiles
CMakeScripts
Testing
Makefile
cmake_install.cmake
install_manifest.txt
compile_commands.json
CTestTestfile.cmake
_deps

######################## BUILD IGNORES
build/

######################## ASSET IGNORES
ui_files/

######################## TEST FILE IGNORES
test*/